org.apache.lucene.analysis.fa

## Class PersianNormalizationFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.fa.PersianNormalizationFilterFactory

All Implemented Interfaces:
  MultiTermAwareComponent

    public class PersianNormalizationFilterFactory
    extends TokenFilterFactory
    implements MultiTermAwareComponent

Factory for `PersianNormalizationFilter`.

     <fieldType name="text_fanormal" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <charFilter class="solr.PersianCharFilterFactory"/>
         <tokenizer class="solr.StandardTokenizerFactory"/>
         <filter class="solr.PersianNormalizationFilterFactory"/>
       </analyzer>
     </fieldType>

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`PersianNormalizationFilterFactory()`

### Method Summary

Methods
`PersianNormalizationFilter` `create(TokenStream input)` Transform the specified input TokenStream
`AbstractAnalysisFactory` `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PersianNormalizationFilterFactory

    public PersianNormalizationFilterFactory()

### Method Detail

#### create

    public PersianNormalizationFilter create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`

#### getMultiTermComponent

    public AbstractAnalysisFactory getMultiTermComponent()

Description copied from interface: `MultiTermAwareComponent`
Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.

Specified by:
  `getMultiTermComponent` in interface `MultiTermAwareComponent`